Actualizar PHP en CentOS 7 a la versión 5.5

Por defecto en las instalaciones nuevas de CentOS 7 la versión que viene de PHP está por debajo de la versión 5.5. Algunas aplicaciones web necesitan tener esta versión para funcionar y nos vemos obligados a actualizar PHP. Actualmente tengo una maquina virtual con CentOS 7 instalado y esta versión de PHP:

Queremos actualizar a la versión 5.5 y estos son los pasos que hay que seguir:

Primero nos tenemos que asegurar de que tenemos instalados dos repositorios necesarios: epel-release y webtatic-release, si no lo tenemos instalado:

Ahora ya puedes instalar PHP 5.5:

Si deseas actualizar PHP para esta versión se recomiendo que primero compruebes que tu sistema permitirá la actualización, por ejemplo, asegurándote de que ningún software como CPanel pueda dejar de funcionar tras la actualización. Al menos que sepas lo que estás haciendo, puede ser arriesgado actualizar un sistema.

Si sabes lo que estás haciendo, puedes actualizar PHP a través de:

Es probable que aparezca este error:

Esto es normal, y puedes continuar escribiendo una “y”. Luego tendremos la oportunidad de ver que paquetes se instalarán y cuales se eliminarán.

Una vez hemos acabado, podremos comprobar de nuevo la versión de PHP:

El contenido de esta entrada está bajo licencia Creative Commons

Zagur

Técnico Superior de Administración de Sistemas. Estudiando actualmente Desarrollo de aplicaciones web. #GNU #Linux #CSS #HTML #Python #SoftwareLibre #OpenSource

Utilizamos cookies propias y de terceros para mejorar nuestros servicios. Si continúa navegando, consideramos que acepta su uso. Doble clic sobre aquí para cerrar.